Ubuntu 14.04 LTS 下用RVM 安装ruby时出错,提示:For 404 check your sou

2016-12-03 14:06:42来源:网络收集作者:Mark人点击

ubuntu 系统下配置ROR编程环境,可以使用Rbenv和RVM安装但是一些rubyer在使用RVM安装到ruby时会出现下面的错误提示:


++ case "${TERM:-dumb}" in
++ case "$1" in
++ [[ -t 2 ]]
++ return 1
++ printf %b 'There has been error while updating '/''apt-get'/'', please give it some time and try again later.
404 errors should be fixed for rvm to proceed. Check your sources configured in:
/etc/apt/sources.list
/etc/apt/sources.list.d/*.list
/n'
There has been error while updating 'apt-get', please give it some time and try again later.
404 errors should be fixed for rvm to proceed. Check your sources configured in:
/etc/apt/sources.list
/etc/apt/sources.list.d/*.list
++ return 100
Requirements installation failed with status: 100..


解决方法:


在运行 $ rvm install 2.1.4(或者其他版本)之前,先运行下面的代码:


$ rvm autolibs disable


然后再运行安装ruby 2.1.4(或其他版本)


$ rvm install 2.1.4

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台